# Class CreateChannelRequest | EchoHub Documentation

# Class CreateChannelRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record CreateChannelRequest : IEquatable<CreateChannelRequest>

Inheritance
  object
  CreateChannelRequest

Implements
  IEquatable<CreateChannelRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### CreateChannelRequest(CreateChannelRequest)

    protected CreateChannelRequest(CreateChannelRequest original)

#### Parameters

`original` CreateChannelRequest

### CreateChannelRequest(string, string?, bool, string?, string?, string?)

    public CreateChannelRequest(string Name, string? Topic = null, bool IsPublic = true, string? Password = null, string? EncryptionSalt = null, string? WrappedRoomKey = null)

#### Parameters

`Name` string
`Topic` string
`IsPublic` bool
`Password` string
`EncryptionSalt` string
`WrappedRoomKey` string

## Properties

### EncryptionSalt

    public string? EncryptionSalt { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### IsPublic

    public bool IsPublic { get; init; }

#### Property Value

bool

### Name

    public string Name { get; init; }

#### Property Value

string

### Password

    public string? Password { get; init; }

#### Property Value

string

### Topic

    public string? Topic { get; init; }

#### Property Value

string

### WrappedRoomKey

    public string? WrappedRoomKey { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string?, out bool, out string?, out string?, out string?)

    public void Deconstruct(out string Name, out string? Topic, out bool IsPublic, out string? Password, out string? EncryptionSalt, out string? WrappedRoomKey)

#### Parameters

`Name` string
`Topic` string
`IsPublic` bool
`Password` string
`EncryptionSalt` string
`WrappedRoomKey` string

### Equals(CreateChannelRequest?)

    public virtual bool Equals(CreateChannelRequest? other)

#### Parameters

`other` CreateChannelRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(CreateChannelRequest?, CreateChannelRequest?)

    public static bool operator ==(CreateChannelRequest? left, CreateChannelRequest? right)

#### Parameters

`left` CreateChannelRequest
`right` CreateChannelRequest

#### Returns

bool

### operator !=(CreateChannelRequest?, CreateChannelRequest?)

    public static bool operator !=(CreateChannelRequest? left, CreateChannelRequest? right)

#### Parameters

`left` CreateChannelRequest
`right` CreateChannelRequest

#### Returns

bool